Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 467694 - =net-libs/loudmouth-1.4.3-r2 - configure.ac:10: error: 'AM_CONFIG_HEADER': this macro is obsolete
Summary: =net-libs/loudmouth-1.4.3-r2 - configure.ac:10: error: 'AM_CONFIG_HEADER': th...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL: https://github.com/engineyard/loudmouth
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-04-28 06:05 UTC by Nikolay Edigaryev
Modified: 2013-05-15 22:46 UTC (History)
4 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nikolay Edigaryev 2013-04-28 06:05:55 UTC
This issue is fixed in the latest version of loudmouth (https://github.com/engineyard/loudmouth).

aclocal.out:

***** aclocal *****
***** PWD: /var/tmp/portage/net-libs/loudmouth-1.4.3-r2/work/loudmouth-1.4.3
***** aclocal

configure.ac:10: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:10: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1
Comment 1 Dennis Schridde 2013-05-11 13:35:52 UTC
The issue persists after 2 weeks. Can someone please fix it?

The commit mentioned in comment #0 is the following, which also overhauls the buildsystem: https://github.com/engineyard/loudmouth/commit/8f7254b951e2f4d5d8811027289b1eea391f65f5

I assume for Gentoo purposes it is currently enough to just replace the AM_CONFIG_HEADER macro and not apply the whole patch.
Comment 2 Samuli Suominen gentoo-dev 2013-05-15 22:45:45 UTC
only a warning in automake-1.13.2 again, but fixed anyway for future compability
Comment 3 Samuli Suominen gentoo-dev 2013-05-15 22:46:11 UTC
it's fixed in upstream git already, btw